commit:     7c825eb210805f36bfdfafefcd2d4a0061912879
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 10 20:27:06 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jun 10 23:13:11 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7c825eb2

app-admin/awscli: Bump to 1.19.92

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 app-admin/awscli/Manifest              |  1 +
 app-admin/awscli/awscli-1.19.92.ebuild | 58 ++++++++++++++++++++++++++++++++++
 2 files changed, 59 insertions(+)

diff --git a/app-admin/awscli/Manifest b/app-admin/awscli/Manifest
index 172c3d1c16e..33383a8c76e 100644
--- a/app-admin/awscli/Manifest
+++ b/app-admin/awscli/Manifest
@@ -12,3 +12,4 @@ DIST awscli-1.19.88.tar.gz 2016344 BLAKE2B 
09d29f2494cb540fcbd128197c0ac181c4106
 DIST awscli-1.19.89.tar.gz 2016580 BLAKE2B 
d58c490383750df0ec9482dd0adbd119f0db0cd30c4cca944581b81eacb9e7bcc99b9b54816b4a85f50e9d326b930cca62a7999a2218e4057029d02888a3a71e
 SHA512 
7aec8fb6b0c8e44c89d24880483722aef81416918cec1f582c847dc1893458ff6297f39b4591f2502c322a760cc4a5c8621d69fae0937df8e1c2eb2290d66a77
 DIST awscli-1.19.90.tar.gz 2017068 BLAKE2B 
7e08ee937c90ab82318479d960aa7c8f8274ba46b1267692f93e7756bccd50e35d12174b5e58a3ae3dc540cea7e57e311ca6edc4b43ea7a46475395d7f74ee49
 SHA512 
502d5a30022c8113d5ff7be3fd33e835e963b9bbe01da0b75892794df7cbc6a08b7bfd948c1b3e3d96e726e0d1d537bf79baf3ca77192e46fabc0ba341e0af26
 DIST awscli-1.19.91.tar.gz 2017336 BLAKE2B 
e74079f8bda95cec8998f85436f5fcc6ec1f3a6a475909c3c8068b876651640c6a0635b22a098812e3b31bc5ae6b7c202f287eb36870c923ddc2cd3376e6ec68
 SHA512 
ae547b7c5cebea25d63861500f8195e1ea640cbf6b93391d3b3128ad0cc13393441fcd70932cd93ca0bba39b0b1ed98720a063e4ef28d06b7dcb09464b17fdeb
+DIST awscli-1.19.92.tar.gz 2018201 BLAKE2B 
3e7988878772b978efe1a9043a3d55c129e4ff35b6d3450e65f9bd9fb92effb3d7e0cef389880f4d34726ed72d3249778a50a0b716420c369abe04a2a097685e
 SHA512 
42f91c73c974ab20698259d98b6f31694317cb01127a20d346695b4e73ae45cfdcee0ef241d40e648f5d538d93a2303ba74759508873dbe5071b43ae4f4c80bd

diff --git a/app-admin/awscli/awscli-1.19.92.ebuild 
b/app-admin/awscli/awscli-1.19.92.ebuild
new file mode 100644
index 00000000000..ff429f8d3a3
--- /dev/null
+++ b/app-admin/awscli/awscli-1.19.92.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit bash-completion-r1 distutils-r1
+
+DESCRIPTION="Universal Command Line Environment for AWS"
+HOMEPAGE="https://pypi.org/project/awscli/";
+#SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+SRC_URI="https://github.com/aws/aws-cli/archive/${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/aws-cli-${PV}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+# botocore is x.(y+1).z
+BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 1)).$(ver_cut 3-)"
+RDEPEND="
+       >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+       dev-python/colorama[${PYTHON_USEDEP}]
+       dev-python/docutils[${PYTHON_USEDEP}]
+       dev-python/rsa[${PYTHON_USEDEP}]
+       >=dev-python/s3transfer-0.4.0[${PYTHON_USEDEP}]
+       dev-python/pyyaml[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/mock[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests --install nose
+
+PATCHES=(
+       "${FILESDIR}"/awscli-1.19.47-py39.patch
+)
+
+python_test() {
+       distutils_install_for_testing
+       # integration tests require AWS credentials and Internet access
+       nosetests -v tests/{functional,unit} ||
+               die "Tests failed for ${EPYTHON}"
+}
+
+python_install_all() {
+       newbashcomp bin/aws_bash_completer aws
+
+       insinto /usr/share/zsh/site-functions
+       newins bin/aws_zsh_completer.sh _aws
+
+       distutils-r1_python_install_all
+
+       rm "${ED}"/usr/bin/{aws.cmd,aws_bash_completer,aws_zsh_completer.sh} || 
die
+}

Reply via email to